Redeam Booking API.

Server
booking.redeam.io
Server Variables
Fields
KeyIn
X-API-KeyHeader
Fields
KeyIn
X-API-SecretHeader

Retrieve a list of suppliers

Returns a list of suppliers.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Query String
partner_idstring

Partner defined ID

codestring

Supplier code

GET /suppliers
curl --get \
--url 'https://booking.redeam.io/v1.2/suppliers' \
--header 'X-Request-ID: {X-Request-ID}' \
--header 'X-API-Key: {X-API-Key}' \
--header 'X-API-Secret: {X-API-Secret}' \
--data partner_id={partner_id} \
--data code={code}
Copy
Responses application/json
200

Retrieve a list of suppliers

objectobject
metaobject

Request meta data

reqIduuid

Request ID

suppliers12 fieldsarray[object]
401

Retrieve a list of suppliers

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
{
"meta": {
"reqId": "5fd78809-4700-46d7-8386-3b8738117f4d"
},
"suppliers": [
{
"businessType": [
"amusement_park"
],
"code": "string",
"contacts": [
{
"email": "alice.smith@test.com",
"name": "Alice Smith",
"phone": "+1 (212) 867-5309",
"primary": true,
"title": "Account manager"
}
],
"ext": {
"string": "string"
},
"hours": [
{
"dates": [
"2018-10-19T17:37:31-06:00"
],
"daysOfWeek": [
0
],
"times": [
{
"close": "17:00",
"open": "08:00"
}
],
"timezone": "America/New_York",
"valid": {
"from": "2018-10-19T17:37:31-06:00",
"until": "2018-10-19T17:37:31-06:00"
}
}
],
"id": "5fd78809-4700-46d7-8386-3b8738117f4d",
"mainLocation": {
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "string",
"postalCode": "94043",
"region": "string",
"streetAddress": "string"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.014984,
"longitude": -105.270546
},
"name": "string",
"notes": "string",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
},
"name": "string",
"otherLocations": [
{
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "string",
"postalCode": "94043",
"region": "string",
"streetAddress": "string"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.014984,
"longitude": -105.270546
},
"name": "string",
"notes": "string",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
}
],
"partnerId": "string",
"travelerTypes": [
{
"ageBand": "ADULT",
"maxAge": 99,
"minAge": 18,
"modifier": "EU_CITIZEN",
"name": "Adult"
}
],
"version": 1
}
]
}
Copy

Retrieve a single supplier

Returns a supplier.

Auth
Headers
X-Request-IDstring

Request ID for request tracking.

Path Params
supplier_idstring
GET /suppliers/{supplier_id}
curl --get \
--url 'https://booking.redeam.io/v1.2/suppliers/{supplier_id}' \
--header 'X-Request-ID: {X-Request-ID}' \
--header 'X-API-Key: {X-API-Key}' \
--header 'X-API-Secret: {X-API-Secret}'
Copy
Responses application/json
200

Retrieve a single supplier

objectobject
metaobject

Request meta data

reqIduuid

Request ID

supplier12 fieldsobject
401

Retrieve a single supplier

404

Retrieve a single supplier

503

The server is temporarily unavailable, either because the server is under maintenance, or overloaded (accepted too many requests in too short a time).

Response
{
"meta": {
"reqId": "5fd78809-4700-46d7-8386-3b8738117f4d"
},
"supplier": {
"businessType": [
"amusement_park"
],
"code": "string",
"contacts": [
{
"email": "alice.smith@test.com",
"name": "Alice Smith",
"phone": "+1 (212) 867-5309",
"primary": true,
"title": "Account manager"
}
],
"ext": {
"string": "string"
},
"hours": [
{
"dates": [
"2018-10-19T17:37:31-06:00"
],
"daysOfWeek": [
0
],
"times": [
{
"close": "17:00",
"open": "08:00"
}
],
"timezone": "America/New_York",
"valid": {
"from": "2018-10-19T17:37:31-06:00",
"until": "2018-10-19T17:37:31-06:00"
}
}
],
"id": "5fd78809-4700-46d7-8386-3b8738117f4d",
"mainLocation": {
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "string",
"postalCode": "94043",
"region": "string",
"streetAddress": "string"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.014984,
"longitude": -105.270546
},
"name": "string",
"notes": "string",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
},
"name": "string",
"otherLocations": [
{
"address": {
"countryCode": "USA",
"googlePlaceId": "ChIJrTLr-GyuEmsRBfy61i59si0",
"locality": "string",
"postalCode": "94043",
"region": "string",
"streetAddress": "string"
},
"city": "DEPRECATED",
"country": "DEPRECATED",
"longLat": {
"latitude": 40.014984,
"longitude": -105.270546
},
"name": "string",
"notes": "string",
"state": "DEPRECATED",
"utcOffset": "DEPRECATED",
"website": "https://www.example.com"
}
],
"partnerId": "string",
"travelerTypes": [
{
"ageBand": "ADULT",
"maxAge": 99,
"minAge": 18,
"modifier": "EU_CITIZEN",
"name": "Adult"
}
],
"version": 1
}
}
Copy